#  Copyright (c) 2008 patrick coleman

import Exceptions

class Vector4(object):
	def __init__(self, data = [0.0, 0.0, 0.0, 0.0]):
		if type(data) == list:
			if len(data) == 4:
				self.data = data
				return
		raise Exceptions.BadInitializationData()
	
	def __getitem__(self, i):
		return self.data[i]
		
	def __setitem__(self, i, value):
		self.data[i] = value
	
	def __mul__(self, other):
		if type(other) == Vector4:
			return (self.data[0] * other[0] + self.data[1] * other[1] 
				  + self.data[2] * other[2] + self.data[3] * other[3])
		else:
			raise Exceptions.BadArgumentData()