#  Copyright (c) 2008 patrick coleman

from Exceptions import *

class RotationStreamlineVisualizer(object):
	"""Subclass this to write app-specific visualization code (i.e. maya)."""
	
	def createStreamlineCurve(streamline, transform):
		raise AbstractMethod()
	
	def plotSignal(signal, name = 'signal', x0 = 0.0, y0 = 0.0, xStep = 0.1, yScale = 1.0):
		raise AbstractMethod()