#  Copyright (c) 2008 patrick coleman

from maya import cmds as mc



import Character
import motion.Motions as Motions
import Maya
from Exceptions import *
	
########## ohlone model editing ##########

def createCharacter(node = u''):
	"Creates a character for selected node or passed in node name and initializes attribute list"
	
	if node == u'':
		node = mc.ls(selection = True)
		if node == None:
			raise NoMayaSelection()
		node = node[0]
	elif not mc.objExists(node):
		raise NoSuchNode()
	
	return Character.Character(node, node, Maya.hierarchyTransformAttributes(node))

	